View Issue Details

IDProjectCategoryView StatusLast Update
0006403Talerdeployment and operationspublic2020-07-24 11:56
ReporterbuckE Assigned TobuckE  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version0.8Fixed in Version0.8 
Summary0006403: please install twisted under default python3
Descriptionchecker-builder fails. A quick look at the UI shows the error is:

Upon execvpe b'bootstrap' [b'bootstrap'] in environment id 139815360567088
:Traceback (most recent call last):
  File "/usr/local/lib/python3.7/dist-packages/twisted/internet/process.py", line 406, in _fork
  File "/usr/local/lib/python3.7/dist-packages/twisted/internet/process.py", line 484, in _execChild
  File "/usr/lib/python3.7/os.py", line 581, in execvpe
  File "/usr/lib/python3.7/os.py", line 614, in _execvpe
  File "/usr/lib/python3.7/os.py", line 605, in _execvpe
FileNotFoundError: [Errno 2] No such file or directory: b'/bin/bootstrap'

twisted is not in /usr/local/lib/python3.7/dist-packages. Maybe `apt install python-twisted`?

I also think it would help to symlink python3/ to python3.7/ (and continue to update as we upgrade python3 versions)? We have (ex: in /lib) python3/ and python3.7/. Weird.
TagsNo tags attached.

Activities

Christian Grothoff

2020-06-22 08:51

manager   ~0016334

/usr/local/lib/python3.7/ doesn't even exist anymore. Restarting the buildslave to use the buildbot installation in /usr/bin (instead of /usr/local/bin/) should help.

buckE

2020-06-23 06:56

reporter   ~0016335

Can you uninstall the version of buildbot-worker in /usr/local/bin? Also /usr/local/bin/pip?

If they are not on the system, any scripts that still use the old versions will fail and we can fix the problems. Right now there is a version (of buildbot-worker) in `/.local/bin`, `/usr/local/bin`, and `/usr/bin'.

buckE

2020-06-23 07:02

reporter   ~0016336

Also please install pip globally. It's a long story but it might be needed right now to remove local packages installed with pip. Maybe not but it will really help to have it available just in case.

Christian Grothoff

2020-06-23 08:46

manager   ~0016337

I've purged /usr/local/bin/* now.

python-pip3 was already globally installed.

buckE

2020-06-23 09:35

reporter   ~0016338

Great.

Please install python-pip (not pip3). I'm not sure but I think the version of buildbot-worker I am trying to remove might be from python2.7. (on the system the default `python --version` shows python 2.7.18 so this is on the system)

Christian Grothoff

2020-06-23 09:37

manager   ~0016339

root@gv:~# dpkg --list | grep python3-pip
ii python3-pip 20.1.1-2 all Python package installer

Christian Grothoff

2020-06-23 09:39

manager   ~0016340

We don't have python2 support on the system anymore, installing "python-pip" (for python2) would be a big problem (downgrades, unmet dependencies, etc.).

My best suggestion: manual (rm -r) cleaning...

buckE

2020-06-23 09:46

reporter   ~0016341

> We don't have python2 support on the system anymore

Um...

```
docbuilder@gv:~/worker$ which python
/usr/bin/python
docbuilder@gv:~/worker$ /usr/bin/python --version
Python 2.7.18
```

> My best suggestion: manual (rm -r) cleaning...

That's an option if necessary but this way seemed cleaner.

Christian Grothoff

2020-06-23 09:58

manager   ~0016342

The python2 interpreter is there, but the required dependencies for python-pip are still not apt-able.

buckE

2020-06-23 10:02

reporter   ~0016343

Okay no problem. Thank you.

Issue History

Date Modified Username Field Change
2020-06-22 07:46 buckE New Issue
2020-06-22 07:46 buckE Status new => assigned
2020-06-22 07:46 buckE Assigned To => Christian Grothoff
2020-06-22 08:51 Christian Grothoff Note Added: 0016334
2020-06-22 09:42 Christian Grothoff Assigned To Christian Grothoff => buckE
2020-06-23 06:56 buckE Note Added: 0016335
2020-06-23 06:56 buckE Assigned To buckE => Christian Grothoff
2020-06-23 07:02 buckE Note Added: 0016336
2020-06-23 08:46 Christian Grothoff Note Added: 0016337
2020-06-23 08:46 Christian Grothoff Assigned To Christian Grothoff => buckE
2020-06-23 09:35 buckE Note Added: 0016338
2020-06-23 09:35 buckE Assigned To buckE => Christian Grothoff
2020-06-23 09:37 Christian Grothoff Note Added: 0016339
2020-06-23 09:39 Christian Grothoff Note Added: 0016340
2020-06-23 09:39 Christian Grothoff Assigned To Christian Grothoff => buckE
2020-06-23 09:46 buckE Note Added: 0016341
2020-06-23 09:49 buckE Assigned To buckE => Christian Grothoff
2020-06-23 09:58 Christian Grothoff Note Added: 0016342
2020-06-23 09:58 Christian Grothoff Assigned To Christian Grothoff => buckE
2020-06-23 10:02 buckE Note Added: 0016343
2020-06-24 02:15 buckE Status assigned => resolved
2020-06-24 02:15 buckE Resolution open => fixed
2020-07-24 11:56 Christian Grothoff Target Version => 0.8
2020-07-24 11:56 Christian Grothoff Fixed in Version => 0.8